WordPress 5.0 正式版的重要变化

首页 / Blog / WordPress 5.0 正式版的重要变化

WordPress 5.0 正式版的重要变化

WordPress 5.0 正式版在18年年底前已经发布,老用户在升级5.0+版本是需要注意的是,该版本主要有两个更新:内置默认编辑器为 Gutenberg,新增官方主题 Twenty Nineteen。

建议老用户谨慎升级新版本,毕竟可能您的站点安装了比较多的主题和插件,也许会造成不兼容的问题。当然,升级了新版本用不惯 Gutenberg 编辑器的也可以使用 Classic Editor 插件来继续使用经典编辑器。

Gutenberg 编辑器

WordPress之前一直在使用 TinyMCE 作为默认的编辑器,也就是现在所说的经典编辑器:

从2016年开始,WP官方就提出来要开发新的模块编辑器,也就是大家现在看到的 Gutenberg 编辑器:

随着新编辑器的到来,编辑界面的很多东西都有所改动,比如之前的 Meta box,这就对主题和插件的兼容有了新的要求,可以说有点伤筋动骨,甚至有些人还复制了 4.9.8 来独立坚持和维护经典编辑器,不过官方也提出了,可以通过 Classic Editor 插件来继续使用经典编辑器到 2021 年,也就是在2021年之前,WordPress程序的版本都会兼容经典编辑器,至于以后如何,那就不得而知了。

新默认主题 Twenty Nineteen

Twenty Nineteen 是新的默认主题,主要是为了新的编辑器 Gutenberg,当然按照时间看,也应该出新主题了。如果你在使用之前的官方默认主题,不用担心,之前的一些主题也是更新兼容 Gutenberg 编辑器的了。

总之,WordPress 5.0 的改动还是非常大的,对主题和插件的兼容也是要考虑的问题,所以,建议大家搭建测试环境,测试主题和插件对新版本的兼容性,再考虑是否升级。当然了,如果仅仅是编辑器的兼容问题,可以使用 Classic Editor 插件来继续使用经典编辑器。

更多介绍请看官方文章:https://wordpress.org/news/2018/12/bebo/

WordPress 爆款云服务器低至2折,1核1G ¥293元/年

阿里云新老用户均可领取 最高1888元红包

发表评论

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

加入VIP会员享受全站WordPress主题插件无限制免费下载! 立即升级
© 2015-2019 NonoSpace.Com Inc · All Rights Reserved · 京ICP备15050676号-1 ·